com.amazon.redshift.core

## Class IdpAuthHelper

- java.lang.Object
- - com.amazon.redshift.core.IdpAuthHelper

Direct Known Subclasses:
  IamHelper, NativeAuthPluginHelper

    public class IdpAuthHelper
    extends Object

### Field Summary

Fields
`static int` `JWT_PLUGIN`
`static int` `SAML_PLUGIN`

### Constructor Summary

Constructors
`protected` `IdpAuthHelper()`

### Method Summary

Methods
`protected static Properties` `setAuthProperties(Properties info, RedshiftJDBCSettings settings, RedshiftLogger log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SAML_PLUGIN

    public static final int SAML_PLUGIN

See Also:
  Constant Field Values

#### JWT_PLUGIN

    public static final int JWT_PLUGIN

See Also:
  Constant Field Values

### Constructor Detail

#### IdpAuthHelper

    protected IdpAuthHelper()

### Method Detail

#### setAuthProperties

    protected static Properties setAuthProperties(Properties info,
                               RedshiftJDBCSettings settings,
                               RedshiftLogger log)
                                           throws RedshiftException

Throws:
  `RedshiftException`